### Hierarchy

- TextDecoder

## Index

### Properties

- encoding
- fatal
- ignoreBOM

### Methods

- decode

## Properties

### encoding

encoding: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14735

Returns encoding's name, lowercased.

### fatal

fatal: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14740

Returns true if error mode is "fatal", and false otherwise.

### ignoreBOM

ignoreBOM: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14744

Returns true if ignore BOM flag is set, and false otherwise.

## Methods

### decode

- decode(input?: BufferSource, options?: TextDecodeOptions): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14758

  Returns the result of running encoding's decoder. The method can be invoked zero or more times with options's stream set to true, and then once without options's stream (or set to false), to process a fragmented stream. If the invocation without options's stream (or set to false) has no input, it's clearest to omit both arguments. var string = "", decoder = new TextDecoder(encoding), buffer; while(buffer = next_chunk()) { string += decoder.decode(buffer, {stream:true}); } string += decoder.decode(); // end-of-stream If the error mode is "fatal" and encoding's decoder returns error, throws a TypeError.

  #### Parameters

  - ##### Optional input: BufferSource

  - ##### Optional options: TextDecodeOptions

  #### Returns string

Generated using TypeDoc